Create store

Create a new store

POST
/stores
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Store creation input

allowSubmissions?boolean
banner?string
commissionRate?number
description?string
isPublic?boolean
logo?string
namestring
privacyPolicyUrl?string
requireApproval?boolean
termsUrl?string

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/stores" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "allowSubmissions": true,
  "banner": "string",
  "commissionRate": 0,
  "createdAt": "string",
  "description": "string",
  "id": "string",
  "isPublic": true,
  "logo": "string",
  "name": "string",
  "organizationId": "string",
  "privacyPolicyUrl": "string",
  "requireApproval": true,
  "termsUrl": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}